Package org.apache.cxf.feature.validation

# Class DefaultSchemaValidationTypeProvider

java.lang.Object
org.apache.cxf.feature.validation.DefaultSchemaValidationTypeProvider

All Implemented Interfaces:
  `SchemaValidationTypeProvider`

public class DefaultSchemaValidationTypeProvider extends Object implements SchemaValidationTypeProvider
Default provider which accepts a map of operation names to schema validation types. The names ignore any namespaces

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultSchemaValidationTypeProvider(Map<String,SchemaValidation.SchemaValidationType> operationMap)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SchemaValidation.SchemaValidationType`
  `getSchemaValidationType(OperationInfo info)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultSchemaValidationTypeProvider

    public DefaultSchemaValidationTypeProvider(Map<String,SchemaValidation.SchemaValidationType> operationMap)

- ## Method Details

  - ### getSchemaValidationType

    public SchemaValidation.SchemaValidationType getSchemaValidationType(OperationInfo info)
    Specified by:
      `getSchemaValidationType` in interface `SchemaValidationTypeProvider`